<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('temp_payments_hdrs', function (Blueprint $table) {
            $table->id();
            $table->Integer('SupplierId');
            $table->Integer('PMode');
            $table->Date('ApplyDate');
            $table->Decimal('Amount',12,2);
            $table->Integer('UserId');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
          Schema::dropIfExists('temp_payments_hdrs');
    }
};
